<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: operations.proto

namespace Tinkoff\Invest\V1;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 *Позиции портфеля.
 *
 * Generated from protobuf message <code>tinkoff.public.invest.api.contract.v1.PortfolioPosition</code>
 */
class PortfolioPosition extends \Google\Protobuf\Internal\Message
{
    /**
     *Figi-идентификатора инструмента
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     */
    protected $figi = '';
    /**
     *Тип инструмента
     *
     * Generated from protobuf field <code>string instrument_type = 2;</code>
     */
    protected $instrument_type = '';
    /**
     *Количество лотов в портфеле
     *
     * Generated from protobuf field <code>float quantity = 3;</code>
     */
    protected $quantity = 0.0;
    /**
     *Средняя цена лота в позиции
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue average_position_price = 4;</code>
     */
    protected $average_position_price = null;
    /**
     *Текущая рассчитанная доходность
     *
     * Generated from protobuf field <code>float expected_yield = 5;</code>
     */
    protected $expected_yield = 0.0;
    /**
     * Текущий НКД
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue current_nkd = 6;</code>
     */
    protected $current_nkd = null;
    /**
     *Средняя цена лота в позиции в пунктах (для фьючерсов)
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.Quotation average_position_price_pt = 7;</code>
     */
    protected $average_position_price_pt = null;

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type string $figi
     *          Figi-идентификатора инструмента
     *     @type string $instrument_type
     *          Тип инструмента
     *     @type float $quantity
     *          Количество лотов в портфеле
     *     @type \Tinkoff\Invest\V1\MoneyValue $average_position_price
     *          Средняя цена лота в позиции
     *     @type float $expected_yield
     *          Текущая рассчитанная доходность
     *     @type \Tinkoff\Invest\V1\MoneyValue $current_nkd
     *           Текущий НКД
     *     @type \Tinkoff\Invest\V1\Quotation $average_position_price_pt
     *          Средняя цена лота в позиции в пунктах (для фьючерсов)
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Operations::initOnce();
        parent::__construct($data);
    }

    /**
     *Figi-идентификатора инструмента
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     * @return string
     */
    public function getFigi()
    {
        return $this->figi;
    }

    /**
     *Figi-идентификатора инструмента
     *
     * Generated from protobuf field <code>string figi = 1;</code>
     * @param string $var
     * @return $this
     */
    public function setFigi($var)
    {
        GPBUtil::checkString($var, True);
        $this->figi = $var;

        return $this;
    }

    /**
     *Тип инструмента
     *
     * Generated from protobuf field <code>string instrument_type = 2;</code>
     * @return string
     */
    public function getInstrumentType()
    {
        return $this->instrument_type;
    }

    /**
     *Тип инструмента
     *
     * Generated from protobuf field <code>string instrument_type = 2;</code>
     * @param string $var
     * @return $this
     */
    public function setInstrumentType($var)
    {
        GPBUtil::checkString($var, True);
        $this->instrument_type = $var;

        return $this;
    }

    /**
     *Количество лотов в портфеле
     *
     * Generated from protobuf field <code>float quantity = 3;</code>
     * @return float
     */
    public function getQuantity()
    {
        return $this->quantity;
    }

    /**
     *Количество лотов в портфеле
     *
     * Generated from protobuf field <code>float quantity = 3;</code>
     * @param float $var
     * @return $this
     */
    public function setQuantity($var)
    {
        GPBUtil::checkFloat($var);
        $this->quantity = $var;

        return $this;
    }

    /**
     *Средняя цена лота в позиции
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue average_position_price = 4;</code>
     * @return \Tinkoff\Invest\V1\MoneyValue
     */
    public function getAveragePositionPrice()
    {
        return $this->average_position_price;
    }

    /**
     *Средняя цена лота в позиции
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue average_position_price = 4;</code>
     * @param \Tinkoff\Invest\V1\MoneyValue $var
     * @return $this
     */
    public function setAveragePositionPrice($var)
    {
        GPBUtil::checkMessage($var, \Tinkoff\Invest\V1\MoneyValue::class);
        $this->average_position_price = $var;

        return $this;
    }

    /**
     *Текущая рассчитанная доходность
     *
     * Generated from protobuf field <code>float expected_yield = 5;</code>
     * @return float
     */
    public function getExpectedYield()
    {
        return $this->expected_yield;
    }

    /**
     *Текущая рассчитанная доходность
     *
     * Generated from protobuf field <code>float expected_yield = 5;</code>
     * @param float $var
     * @return $this
     */
    public function setExpectedYield($var)
    {
        GPBUtil::checkFloat($var);
        $this->expected_yield = $var;

        return $this;
    }

    /**
     * Текущий НКД
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue current_nkd = 6;</code>
     * @return \Tinkoff\Invest\V1\MoneyValue
     */
    public function getCurrentNkd()
    {
        return $this->current_nkd;
    }

    /**
     * Текущий НКД
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.MoneyValue current_nkd = 6;</code>
     * @param \Tinkoff\Invest\V1\MoneyValue $var
     * @return $this
     */
    public function setCurrentNkd($var)
    {
        GPBUtil::checkMessage($var, \Tinkoff\Invest\V1\MoneyValue::class);
        $this->current_nkd = $var;

        return $this;
    }

    /**
     *Средняя цена лота в позиции в пунктах (для фьючерсов)
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.Quotation average_position_price_pt = 7;</code>
     * @return \Tinkoff\Invest\V1\Quotation
     */
    public function getAveragePositionPricePt()
    {
        return $this->average_position_price_pt;
    }

    /**
     *Средняя цена лота в позиции в пунктах (для фьючерсов)
     *
     * Generated from protobuf field <code>.tinkoff.public.invest.api.contract.v1.Quotation average_position_price_pt = 7;</code>
     * @param \Tinkoff\Invest\V1\Quotation $var
     * @return $this
     */
    public function setAveragePositionPricePt($var)
    {
        GPBUtil::checkMessage($var, \Tinkoff\Invest\V1\Quotation::class);
        $this->average_position_price_pt = $var;

        return $this;
    }

}

